import { ApiBase } from './ApiBase';
import { ActionColumnOptions, AdaptableOptions, AlertOptions, CalendarOptions, CellSummaryOptions, ChartingOptions, ColumnOptions, NoteOptions, ContainerOptions, DashboardOptions, DataChangeHistoryOptions, DataSetOptions, EditOptions, EntitlementOptions, ExportOptions, FlashingCellOptions, FormatColumnOptions, LayoutOptions, NotificationsOptions, OptionsApi, QuickSearchOptions, SettingsPanelOptions, StateOptions, TeamSharingOptions, ToolPanelOptions, UserInterfaceOptions, ColumnMenuOptions, ContextMenuOptions, FilterOptions, CustomSortOptions, Fdc3Options, ExpressionOptions, CommentOptions, PredicateOptions, RowFormOptions } from '../../types';
export declare class OptionsApiImpl extends ApiBase implements OptionsApi {
    getAdaptableId(): string;
    getAdaptableStateKey(): string;
    isAutogeneratePrimaryKey(): boolean;
    getLicenseKey(): string;
    getPrimaryKey(): string;
    getUserName(): string;
    getAdaptableContext<TContext = Record<string, any>>(): TContext;
    getAdaptableOptions(): AdaptableOptions;
    getActionColumnOptions(): ActionColumnOptions;
    getRowFormOptions(): RowFormOptions;
    getCellSummaryOptions(): CellSummaryOptions;
    getCalendarOptions(): CalendarOptions;
    getColumnOptions(): ColumnOptions;
    getNoteOptions(): NoteOptions;
    getPredicateOptions(): PredicateOptions;
    getCommentOptions(): Readonly<CommentOptions<any>>;
    getCustomSortOptions(): CustomSortOptions;
    getContainerOptions(): ContainerOptions;
    getDataSetOptions(): DataSetOptions;
    getNotificationsOptions(): NotificationsOptions;
    getAlertOptions(): AlertOptions;
    getDashboardOptions(): DashboardOptions;
    getEditOptions(): EditOptions;
    getExportOptions(): ExportOptions;
    getLayoutOptions(): LayoutOptions;
    getColumnMenuOptions(): ColumnMenuOptions;
    getContextMenuOptions(): ContextMenuOptions;
    getFilterOptions(): FilterOptions;
    getExpressionOptions(): ExpressionOptions;
    getQuickSearchOptions(): QuickSearchOptions;
    getFormatColumnOptions(): FormatColumnOptions;
    getStateOptions(): StateOptions;
    getTeamSharingOptions(): TeamSharingOptions;
    getUserInterfaceOptions(): UserInterfaceOptions;
    getToolPanelOptions(): ToolPanelOptions;
    getChartingOptions(): ChartingOptions;
    getDataChangeHistoryOptions(): DataChangeHistoryOptions;
    getEntitlementOptions(): EntitlementOptions;
    getFlashingCellOptions(): FlashingCellOptions;
    getSettingsPanelOptions(): SettingsPanelOptions;
    getFdc3Options(): Fdc3Options;
    getDataImportOptions(): import("../../types").DataImportOptions<Record<string, any>>;
    addToAdaptableContext<TContext = Record<string, any>>(key: keyof TContext, value: TContext[keyof TContext]): void;
    removeFromAdaptableContext<TContext = Record<string, any>>(key: keyof TContext): void;
    clearAdaptableContext(): void;
}
